A Use case for Green Computing-Aware Traffic Steering
Jing Wang
China Mobile
No.32 XuanWuMen West Street
Beijing
100053
China
wangjingjc@chinamobile.com
21 October 2024
cats
This draft describes a compute-aware use case for services with green energy requirements. This use case considers both network, computation and energy metrics when selecting a service instance.

Introduction
As mobile edge computing networks sink computational tasks from cloud data centers to the edge of the network, tasks need to be processed by computational resources close to the user's end as mentioned in [I-D.ietf-cats-usecases-requirements]. Therefore, CATS is proposed. Reducing carbon emissions is a major challenge that needs to be faced in our time. The network is the main enabler to achieve the reduction of carbon emission.The introduction of computational dimension in CATS makes the previous energy saving by considering only the network dimension to be insufficient and hence green for CATS based on the association of network and computation is worth to be explored.
Recently, the GREEN WG was formed. It is chartered to explore use cases, derive requirements, and provide solutions for identifying and characterizing energy efficiency metrics, methods related to energy consumption of network devices, and optimizing energy efficiency across the network. network. There are also a number of contributions that explore green networks, and the document [I-D.wang-cats-green-challenges] summarizes a number of challenges faced by cats considering green.
This document provides a green cats use case.

Definition of Terms
Computing-Aware Traffic Steering (CATS): Aiming at computing and network resource optimization by steering traffic to appropriate computing resources considering not only routing metric but also computing resource metric.
Service: A monolithic functionality that is provided by an endpoint according to the specification for said service. A composite service can be built by orchestrating monolithic services.
Service instance: Running environment (e.g., a node) that makes the functionality of a service available. One service can have several instances running at different network locations.

Use Case
Geared towards green computing-aware traffics Steering, the green metrics include the energy consumption of network devices as well as the energy consumption of computing resources. The following describes how green metrics are distributed under both distributed and centralized models.

Distributed Model
Figure 1 shows an example of how Green CATS metrics can be disseminated in the distributed model. In this way, green metrics are distributed among network devices directly using distributed protocols without interactions with a centralized control plane.
An Example of Green CATS Metric Dessimination in a Distributed Model

          Service CS-ID 1, contact instance CSCI-ID 1 <computing metrics, green metrics>
          Service CS-ID 1, contact instance CSCI-ID 2 <computing metrics, green metrics>

                 :<----------------------:
                 :                       :               +---------+
                 :                       :               |CS-ID 1  |
                 :                       :            +--|CSCI-ID 1|
                 :              +----------------+    |  +---------+
                 :              |    C-SMA       |----|   Service Site 2
                 :              +----------------+    |  +---------+
                 :              |CATS-Forwarder 2|    +--|CS-ID 1  |
                 :              +----------------+       |CSCI-ID 2|
 +--------+      :                        |              +---------+
 | Client |      :  Network +----------------------+
 +--------+      :  metrics | +-------+            |
      |          : :<---------| C-NMA |            |
      |          :  Green   | +-------+            |
      |          :  metrics |                      |
 +---------------------+    |                      |
 |CATS-Forwarder 1|C-PS|----|                      |
 +---------------------+    |       Underlay       |
                 :          |     Infrastructure   |     +---------+
                 :          |                      |     |CS-ID 1  |
                 :          +----------------------+ +---|CSCI-ID 3|
                 :                    |              |   +---------+
                 :          +----------------+  +-------+
                 :          |CATS-Forwarder 3|--| C-SMA | Service Site 3
                 :          +----------------+  +-------+
                 :                                :  |   +-------+
                 :                                :  +---|CS-ID 2|
                 :                                :      +-------+
                 :<-------------------------------:
          Service CS-ID 1, contact instance CSCI-ID 3 <computing metrics, green metrics>
          Service CS-ID 2, <computing metrics, green metrics>

Centralized Model
In Figure 2, network metrics, computing metrics, and green metrics can be distributed in a centralized way. Green metrics are collected by the centralized control plane, and then the centralized control plane calculates the forwarding path corresponding to the energy efficiency demand request and synchronizes with the Ingress CATS-Forwarder.
An Example of Green CATS Metric Distribution in a Centralized Model

                        Service CS-ID 1, instance CSCI-ID 1 <computing metrics, green metrics>
                        Service CS-ID 1, instance CSCI-ID 2 <computing metrics, green metrics>
                        Service CS-ID 1, instance CSCI-ID 3 <computing metrics, green metrics>
                        Service CS-ID 2, <metrics>

             :       +------+
             :<------| C-PS |<-----------------------------------+
             :       +------+ <------+              +---------+  |
             :          ^            |           +--|CS-ID 1  |  |
             :          |            |           |  |CSCI-ID 1|  |
             :          |   +----------------+   |  +---------+  |
             :          |   |    C-SMA       |---|Service Site 2 |
             :          |   +----------------+   |  +---------+  |
             :          |   |CATS-Forwarder 2|   +--|CS-ID 1  |  |
             :          |   +----------------+      |CSCI-ID 2|  |
 +--------+  :          |             |             +---------+  |
 | Client |  :  Network |   +----------------------+             |
 +--------+  :  metrics |   | +-------+            |             |
      |      :          +-----| C-NMA |            |      +-----+
      |      :  Green   |   | +-------+            |      |C-SMA|<-+
      |         metrics |   |                      |      +-----+  |
 +----------------+ <---+   |                      |               |
 |CATS-Forwarder 1|---------|                      |          ^    |
 +----------------+         |       Underlay       |          |    |
             :              |     Infrastructure   |    +---------+|
             :              |                      |    |CS-ID 1  ||
             :              +----------------------+  +-|CSCI-ID 3||
             :                        |               | +---------+|
             :          +----------------+------------+            |
             :          |CATS-Forwarder 3|         Service Site 3  |
             :          +----------------+                         |
             :                        |       :      +-------+     |
             :                        +-------:------|CS-ID 2|-----+
             :                                :      +-------+
             :<-------------------------------:
      Service CS-ID 1, contact instance CSCI-ID 3
      Service CS-ID 2

Conclusion
This document gives a CATS use case related to green and further describes how green metrics can be distributed under both distributed and centralized models.

Security Considerations
TBD.

IANA Considerations
TBD.

Informative References
[I-D.ietf-cats-usecases-requirements]
[I-D.wang-cats-green-challenges]